/**
 * Objet global définissant l'espace de nom BdfApi
 * 
 * v 0.0.0
 * 
 * @namespace BdfApi
 */
var BdfApi = {};


/**
 * Affiche le message dans la console si elle est opérationnelle.
 * 
 * @param {String} msg Message à afficher
 * @returns {undefined}
 */
BdfApi.log = function (msg) {
    if ((console) && (console.log)) {
        console.log(msg);
    }
};


/**
 * Affiche un objet de message d'erreur
 * 
 * @param {Object} commandMessage Objet du message
 * @param {Object} commandMessage.text Texte du message
 * @param {Object} commandMessage.key Clé du message (utilisé si le texte n'est pas défini) 
 * @returns {undefined}
 */
BdfApi.logCommandMessage = function (commandMessage) {
    var msg = "[" + commandMessage.type + "] - ";
    if (commandMessage.text) {
        msg += commandMessage.text;
    } else {
        msg += commandMessage.key;
    }
    BdfApi.log(msg);
};


/**
 * Indique si les données transmises par la réponse contiennent un message d'erreur
 * 
 * @param {Object} data Données transmises par la réponse
 * @returns {Boolean}
 */
BdfApi.hasErrorCommandMessage = function (data) {
    return ((data.commandMessage) && (data.commandMessage.type) && (data.commandMessage.type === "error"));
};
